Makefile.in 33 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972
  1. # Makefile.in generated by automake 1.13.3 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2013 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
  14. am__make_running_with_option = \
  15. case $${target_option-} in \
  16. ?) ;; \
  17. *) echo "am__make_running_with_option: internal error: invalid" \
  18. "target option '$${target_option-}' specified" >&2; \
  19. exit 1;; \
  20. esac; \
  21. has_opt=no; \
  22. sane_makeflags=$$MAKEFLAGS; \
  23. if $(am__is_gnu_make); then \
  24. sane_makeflags=$$MFLAGS; \
  25. else \
  26. case $$MAKEFLAGS in \
  27. *\\[\ \ ]*) \
  28. bs=\\; \
  29. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  30. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  31. esac; \
  32. fi; \
  33. skip_next=no; \
  34. strip_trailopt () \
  35. { \
  36. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  37. }; \
  38. for flg in $$sane_makeflags; do \
  39. test $$skip_next = yes && { skip_next=no; continue; }; \
  40. case $$flg in \
  41. *=*|--*) continue;; \
  42. -*I) strip_trailopt 'I'; skip_next=yes;; \
  43. -*I?*) strip_trailopt 'I';; \
  44. -*O) strip_trailopt 'O'; skip_next=yes;; \
  45. -*O?*) strip_trailopt 'O';; \
  46. -*l) strip_trailopt 'l'; skip_next=yes;; \
  47. -*l?*) strip_trailopt 'l';; \
  48. -[dEDm]) skip_next=yes;; \
  49. -[JT]) skip_next=yes;; \
  50. esac; \
  51. case $$flg in \
  52. *$$target_option*) has_opt=yes; break;; \
  53. esac; \
  54. done; \
  55. test $$has_opt = yes
  56. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  57. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  58. pkgdatadir = $(datadir)/@PACKAGE@
  59. pkgincludedir = $(includedir)/@PACKAGE@
  60. pkglibdir = $(libdir)/@PACKAGE@
  61. pkglibexecdir = $(libexecdir)/@PACKAGE@
  62. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  63. install_sh_DATA = $(install_sh) -c -m 644
  64. install_sh_PROGRAM = $(install_sh) -c
  65. install_sh_SCRIPT = $(install_sh) -c
  66. INSTALL_HEADER = $(INSTALL_DATA)
  67. transform = $(program_transform_name)
  68. NORMAL_INSTALL = :
  69. PRE_INSTALL = :
  70. POST_INSTALL = :
  71. NORMAL_UNINSTALL = :
  72. PRE_UNINSTALL = :
  73. POST_UNINSTALL = :
  74. build_triplet = @build@
  75. host_triplet = @host@
  76. target_triplet = @target@
  77. TESTS = check_stack$(EXEEXT)
  78. check_PROGRAMS = check_stack$(EXEEXT)
  79. subdir = tests
  80. DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
  81. $(top_srcdir)/depcomp $(top_srcdir)/test-driver
  82. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  83. am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
  84. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  85. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  86. $(top_srcdir)/configure.ac
  87. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  88. $(ACLOCAL_M4)
  89. mkinstalldirs = $(install_sh) -d
  90. CONFIG_CLEAN_FILES =
  91. CONFIG_CLEAN_VPATH_FILES =
  92. am_check_stack_OBJECTS = check_stack-check_stack.$(OBJEXT)
  93. check_stack_OBJECTS = $(am_check_stack_OBJECTS)
  94. check_stack_DEPENDENCIES = $(top_builddir)/src/libstack.la
  95. AM_V_lt = $(am__v_lt_@AM_V@)
  96. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  97. am__v_lt_0 = --silent
  98. am__v_lt_1 =
  99. check_stack_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  100. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(check_stack_CFLAGS) \
  101. $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  102. AM_V_P = $(am__v_P_@AM_V@)
  103. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  104. am__v_P_0 = false
  105. am__v_P_1 = :
  106. AM_V_GEN = $(am__v_GEN_@AM_V@)
  107. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  108. am__v_GEN_0 = @echo " GEN " $@;
  109. am__v_GEN_1 =
  110. AM_V_at = $(am__v_at_@AM_V@)
  111. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  112. am__v_at_0 = @
  113. am__v_at_1 =
  114. DEFAULT_INCLUDES = -I.@am__isrc@
  115. depcomp = $(SHELL) $(top_srcdir)/depcomp
  116. am__depfiles_maybe = depfiles
  117. am__mv = mv -f
  118. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  119. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  120. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  121. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  122. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  123. $(AM_CFLAGS) $(CFLAGS)
  124. AM_V_CC = $(am__v_CC_@AM_V@)
  125. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  126. am__v_CC_0 = @echo " CC " $@;
  127. am__v_CC_1 =
  128. CCLD = $(CC)
  129. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  130. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  131. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  132. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  133. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  134. am__v_CCLD_0 = @echo " CCLD " $@;
  135. am__v_CCLD_1 =
  136. SOURCES = $(check_stack_SOURCES)
  137. DIST_SOURCES = $(check_stack_SOURCES)
  138. am__can_run_installinfo = \
  139. case $$AM_UPDATE_INFO_DIR in \
  140. n|no|NO) false;; \
  141. *) (install-info --version) >/dev/null 2>&1;; \
  142. esac
  143. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  144. # Read a list of newline-separated strings from the standard input,
  145. # and print each of them once, without duplicates. Input order is
  146. # *not* preserved.
  147. am__uniquify_input = $(AWK) '\
  148. BEGIN { nonempty = 0; } \
  149. { items[$$0] = 1; nonempty = 1; } \
  150. END { if (nonempty) { for (i in items) print i; }; } \
  151. '
  152. # Make sure the list of sources is unique. This is necessary because,
  153. # e.g., the same source file might be shared among _SOURCES variables
  154. # for different programs/libraries.
  155. am__define_uniq_tagged_files = \
  156. list='$(am__tagged_files)'; \
  157. unique=`for i in $$list; do \
  158. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  159. done | $(am__uniquify_input)`
  160. ETAGS = etags
  161. CTAGS = ctags
  162. am__tty_colors_dummy = \
  163. mgn= red= grn= lgn= blu= brg= std=; \
  164. am__color_tests=no
  165. am__tty_colors = { \
  166. $(am__tty_colors_dummy); \
  167. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  168. am__color_tests=no; \
  169. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  170. am__color_tests=yes; \
  171. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  172. am__color_tests=yes; \
  173. fi; \
  174. if test $$am__color_tests = yes; then \
  175. red=''; \
  176. grn=''; \
  177. lgn=''; \
  178. blu=''; \
  179. mgn=''; \
  180. brg=''; \
  181. std=''; \
  182. fi; \
  183. }
  184. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  185. am__vpath_adj = case $$p in \
  186. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  187. *) f=$$p;; \
  188. esac;
  189. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  190. am__install_max = 40
  191. am__nobase_strip_setup = \
  192. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  193. am__nobase_strip = \
  194. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  195. am__nobase_list = $(am__nobase_strip_setup); \
  196. for p in $$list; do echo "$$p $$p"; done | \
  197. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  198. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  199. if (++n[$$2] == $(am__install_max)) \
  200. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  201. END { for (dir in files) print dir, files[dir] }'
  202. am__base_list = \
  203. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  204. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  205. am__uninstall_files_from_dir = { \
  206. test -z "$$files" \
  207. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  208. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  209. $(am__cd) "$$dir" && rm -f $$files; }; \
  210. }
  211. am__recheck_rx = ^[ ]*:recheck:[ ]*
  212. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  213. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  214. # A command that, given a newline-separated list of test names on the
  215. # standard input, print the name of the tests that are to be re-run
  216. # upon "make recheck".
  217. am__list_recheck_tests = $(AWK) '{ \
  218. recheck = 1; \
  219. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  220. { \
  221. if (rc < 0) \
  222. { \
  223. if ((getline line2 < ($$0 ".log")) < 0) \
  224. recheck = 0; \
  225. break; \
  226. } \
  227. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  228. { \
  229. recheck = 0; \
  230. break; \
  231. } \
  232. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  233. { \
  234. break; \
  235. } \
  236. }; \
  237. if (recheck) \
  238. print $$0; \
  239. close ($$0 ".trs"); \
  240. close ($$0 ".log"); \
  241. }'
  242. # A command that, given a newline-separated list of test names on the
  243. # standard input, create the global log from their .trs and .log files.
  244. am__create_global_log = $(AWK) ' \
  245. function fatal(msg) \
  246. { \
  247. print "fatal: making $@: " msg | "cat >&2"; \
  248. exit 1; \
  249. } \
  250. function rst_section(header) \
  251. { \
  252. print header; \
  253. len = length(header); \
  254. for (i = 1; i <= len; i = i + 1) \
  255. printf "="; \
  256. printf "\n\n"; \
  257. } \
  258. { \
  259. copy_in_global_log = 1; \
  260. global_test_result = "RUN"; \
  261. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  262. { \
  263. if (rc < 0) \
  264. fatal("failed to read from " $$0 ".trs"); \
  265. if (line ~ /$(am__global_test_result_rx)/) \
  266. { \
  267. sub("$(am__global_test_result_rx)", "", line); \
  268. sub("[ ]*$$", "", line); \
  269. global_test_result = line; \
  270. } \
  271. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  272. copy_in_global_log = 0; \
  273. }; \
  274. if (copy_in_global_log) \
  275. { \
  276. rst_section(global_test_result ": " $$0); \
  277. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  278. { \
  279. if (rc < 0) \
  280. fatal("failed to read from " $$0 ".log"); \
  281. print line; \
  282. }; \
  283. printf "\n"; \
  284. }; \
  285. close ($$0 ".trs"); \
  286. close ($$0 ".log"); \
  287. }'
  288. # Restructured Text title.
  289. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  290. # Solaris 10 'make', and several other traditional 'make' implementations,
  291. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  292. # by disabling -e (using the XSI extension "set +e") if it's set.
  293. am__sh_e_setup = case $$- in *e*) set +e;; esac
  294. # Default flags passed to test drivers.
  295. am__common_driver_flags = \
  296. --color-tests "$$am__color_tests" \
  297. --enable-hard-errors "$$am__enable_hard_errors" \
  298. --expect-failure "$$am__expect_failure"
  299. # To be inserted before the command running the test. Creates the
  300. # directory for the log if needed. Stores in $dir the directory
  301. # containing $f, in $tst the test, in $log the log. Executes the
  302. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  303. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  304. # will run the test scripts (or their associated LOG_COMPILER, if
  305. # thy have one).
  306. am__check_pre = \
  307. $(am__sh_e_setup); \
  308. $(am__vpath_adj_setup) $(am__vpath_adj) \
  309. $(am__tty_colors); \
  310. srcdir=$(srcdir); export srcdir; \
  311. case "$@" in \
  312. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  313. *) am__odir=.;; \
  314. esac; \
  315. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  316. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  317. if test -f "./$$f"; then dir=./; \
  318. elif test -f "$$f"; then dir=; \
  319. else dir="$(srcdir)/"; fi; \
  320. tst=$$dir$$f; log='$@'; \
  321. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  322. am__enable_hard_errors=no; \
  323. else \
  324. am__enable_hard_errors=yes; \
  325. fi; \
  326. case " $(XFAIL_TESTS) " in \
  327. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  328. am__expect_failure=yes;; \
  329. *) \
  330. am__expect_failure=no;; \
  331. esac; \
  332. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  333. # A shell command to get the names of the tests scripts with any registered
  334. # extension removed (i.e., equivalently, the names of the test logs, with
  335. # the '.log' extension removed). The result is saved in the shell variable
  336. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  337. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  338. # since that might cause problem with VPATH rewrites for suffix-less tests.
  339. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  340. am__set_TESTS_bases = \
  341. bases='$(TEST_LOGS)'; \
  342. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  343. bases=`echo $$bases`
  344. RECHECK_LOGS = $(TEST_LOGS)
  345. AM_RECURSIVE_TARGETS = check recheck
  346. TEST_SUITE_LOG = test-suite.log
  347. TEST_EXTENSIONS = @EXEEXT@ .test
  348. LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  349. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  350. am__set_b = \
  351. case '$@' in \
  352. */*) \
  353. case '$*' in \
  354. */*) b='$*';; \
  355. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  356. esac;; \
  357. *) \
  358. b='$*';; \
  359. esac
  360. am__test_logs1 = $(TESTS:=.log)
  361. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  362. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  363. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  364. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  365. $(TEST_LOG_FLAGS)
  366. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  367. ACLOCAL = @ACLOCAL@
  368. AMTAR = @AMTAR@
  369. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  370. AR = @AR@
  371. AUTOCONF = @AUTOCONF@
  372. AUTOHEADER = @AUTOHEADER@
  373. AUTOMAKE = @AUTOMAKE@
  374. AWK = @AWK@
  375. CC = @CC@
  376. CCDEPMODE = @CCDEPMODE@
  377. CFLAGS = @CFLAGS@
  378. CHECK_CFLAGS = @CHECK_CFLAGS@
  379. CHECK_LIBS = @CHECK_LIBS@
  380. CPP = @CPP@
  381. CPPFLAGS = @CPPFLAGS@
  382. CYGPATH_W = @CYGPATH_W@
  383. DEFS = @DEFS@
  384. DEPDIR = @DEPDIR@
  385. DLLTOOL = @DLLTOOL@
  386. DSYMUTIL = @DSYMUTIL@
  387. DUMPBIN = @DUMPBIN@
  388. ECHO_C = @ECHO_C@
  389. ECHO_N = @ECHO_N@
  390. ECHO_T = @ECHO_T@
  391. EGREP = @EGREP@
  392. EXEEXT = @EXEEXT@
  393. FGREP = @FGREP@
  394. GREP = @GREP@
  395. INSTALL = @INSTALL@
  396. INSTALL_DATA = @INSTALL_DATA@
  397. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  398. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  399. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  400. LD = @LD@
  401. LDFLAGS = @LDFLAGS@
  402. LIBOBJS = @LIBOBJS@
  403. LIBS = @LIBS@
  404. LIBTOOL = @LIBTOOL@
  405. LIPO = @LIPO@
  406. LN_S = @LN_S@
  407. LTLIBOBJS = @LTLIBOBJS@
  408. MAKEINFO = @MAKEINFO@
  409. MANIFEST_TOOL = @MANIFEST_TOOL@
  410. MKDIR_P = @MKDIR_P@
  411. NM = @NM@
  412. NMEDIT = @NMEDIT@
  413. OBJDUMP = @OBJDUMP@
  414. OBJEXT = @OBJEXT@
  415. OTOOL = @OTOOL@
  416. OTOOL64 = @OTOOL64@
  417. PACKAGE = @PACKAGE@
  418. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  419. PACKAGE_NAME = @PACKAGE_NAME@
  420. PACKAGE_STRING = @PACKAGE_STRING@
  421. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  422. PACKAGE_URL = @PACKAGE_URL@
  423. PACKAGE_VERSION = @PACKAGE_VERSION@
  424. PATH_SEPARATOR = @PATH_SEPARATOR@
  425. PKG_CONFIG = @PKG_CONFIG@
  426. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  427. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  428. RANLIB = @RANLIB@
  429. SED = @SED@
  430. SET_MAKE = @SET_MAKE@
  431. SHELL = @SHELL@
  432. STRIP = @STRIP@
  433. VERSION = @VERSION@
  434. abs_builddir = @abs_builddir@
  435. abs_srcdir = @abs_srcdir@
  436. abs_top_builddir = @abs_top_builddir@
  437. abs_top_srcdir = @abs_top_srcdir@
  438. ac_ct_AR = @ac_ct_AR@
  439. ac_ct_CC = @ac_ct_CC@
  440. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  441. am__include = @am__include@
  442. am__leading_dot = @am__leading_dot@
  443. am__quote = @am__quote@
  444. am__tar = @am__tar@
  445. am__untar = @am__untar@
  446. bindir = @bindir@
  447. build = @build@
  448. build_alias = @build_alias@
  449. build_cpu = @build_cpu@
  450. build_os = @build_os@
  451. build_vendor = @build_vendor@
  452. builddir = @builddir@
  453. datadir = @datadir@
  454. datarootdir = @datarootdir@
  455. docdir = @docdir@
  456. dvidir = @dvidir@
  457. exec_prefix = @exec_prefix@
  458. host = @host@
  459. host_alias = @host_alias@
  460. host_cpu = @host_cpu@
  461. host_os = @host_os@
  462. host_vendor = @host_vendor@
  463. htmldir = @htmldir@
  464. includedir = @includedir@
  465. infodir = @infodir@
  466. install_sh = @install_sh@
  467. libdir = @libdir@
  468. libexecdir = @libexecdir@
  469. localedir = @localedir@
  470. localstatedir = @localstatedir@
  471. mandir = @mandir@
  472. mkdir_p = @mkdir_p@
  473. oldincludedir = @oldincludedir@
  474. pdfdir = @pdfdir@
  475. prefix = @prefix@
  476. program_transform_name = @program_transform_name@
  477. psdir = @psdir@
  478. sbindir = @sbindir@
  479. sharedstatedir = @sharedstatedir@
  480. srcdir = @srcdir@
  481. sysconfdir = @sysconfdir@
  482. target = @target@
  483. target_alias = @target_alias@
  484. target_cpu = @target_cpu@
  485. target_os = @target_os@
  486. target_vendor = @target_vendor@
  487. top_build_prefix = @top_build_prefix@
  488. top_builddir = @top_builddir@
  489. top_srcdir = @top_srcdir@
  490. check_stack_SOURCES = check_stack.c $(top_builddir)/src/opcua_transportLayer.h\
  491. $(top_builddir)/src/opcua_advancedDatatypes.h\
  492. $(top_builddir)/src/opcua_connectionHelper.h
  493. check_stack_CFLAGS = @CHECK_CFLAGS@
  494. check_stack_LDADD = $(top_builddir)/src/libstack.la @CHECK_LIBS@
  495. all: all-am
  496. .SUFFIXES:
  497. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  498. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  499. @for dep in $?; do \
  500. case '$(am__configure_deps)' in \
  501. *$$dep*) \
  502. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  503. && { if test -f $@; then exit 0; else break; fi; }; \
  504. exit 1;; \
  505. esac; \
  506. done; \
  507. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
  508. $(am__cd) $(top_srcdir) && \
  509. $(AUTOMAKE) --gnu tests/Makefile
  510. .PRECIOUS: Makefile
  511. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  512. @case '$?' in \
  513. *config.status*) \
  514. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  515. *) \
  516. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  517. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  518. esac;
  519. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  520. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  521. $(top_srcdir)/configure: $(am__configure_deps)
  522. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  523. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  524. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  525. $(am__aclocal_m4_deps):
  526. clean-checkPROGRAMS:
  527. @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
  528. echo " rm -f" $$list; \
  529. rm -f $$list || exit $$?; \
  530. test -n "$(EXEEXT)" || exit 0; \
  531. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  532. echo " rm -f" $$list; \
  533. rm -f $$list
  534. check_stack$(EXEEXT): $(check_stack_OBJECTS) $(check_stack_DEPENDENCIES) $(EXTRA_check_stack_DEPENDENCIES)
  535. @rm -f check_stack$(EXEEXT)
  536. $(AM_V_CCLD)$(check_stack_LINK) $(check_stack_OBJECTS) $(check_stack_LDADD) $(LIBS)
  537. mostlyclean-compile:
  538. -rm -f *.$(OBJEXT)
  539. distclean-compile:
  540. -rm -f *.tab.c
  541. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/check_stack-check_stack.Po@am__quote@
  542. .c.o:
  543. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  544. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  545. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  546. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  547. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
  548. .c.obj:
  549. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  550. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  551. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  552. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  553. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
  554. .c.lo:
  555. @am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  556. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  557. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  558. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  559. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
  560. check_stack-check_stack.o: check_stack.c
  561. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(check_stack_CFLAGS) $(CFLAGS) -MT check_stack-check_stack.o -MD -MP -MF $(DEPDIR)/check_stack-check_stack.Tpo -c -o check_stack-check_stack.o `test -f 'check_stack.c' || echo '$(srcdir)/'`check_stack.c
  562. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/check_stack-check_stack.Tpo $(DEPDIR)/check_stack-check_stack.Po
  563. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='check_stack.c' object='check_stack-check_stack.o' libtool=no @AMDEPBACKSLASH@
  564. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  565. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(check_stack_CFLAGS) $(CFLAGS) -c -o check_stack-check_stack.o `test -f 'check_stack.c' || echo '$(srcdir)/'`check_stack.c
  566. check_stack-check_stack.obj: check_stack.c
  567. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(check_stack_CFLAGS) $(CFLAGS) -MT check_stack-check_stack.obj -MD -MP -MF $(DEPDIR)/check_stack-check_stack.Tpo -c -o check_stack-check_stack.obj `if test -f 'check_stack.c'; then $(CYGPATH_W) 'check_stack.c'; else $(CYGPATH_W) '$(srcdir)/check_stack.c'; fi`
  568. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/check_stack-check_stack.Tpo $(DEPDIR)/check_stack-check_stack.Po
  569. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='check_stack.c' object='check_stack-check_stack.obj' libtool=no @AMDEPBACKSLASH@
  570. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  571. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(check_stack_CFLAGS) $(CFLAGS) -c -o check_stack-check_stack.obj `if test -f 'check_stack.c'; then $(CYGPATH_W) 'check_stack.c'; else $(CYGPATH_W) '$(srcdir)/check_stack.c'; fi`
  572. mostlyclean-libtool:
  573. -rm -f *.lo
  574. clean-libtool:
  575. -rm -rf .libs _libs
  576. ID: $(am__tagged_files)
  577. $(am__define_uniq_tagged_files); mkid -fID $$unique
  578. tags: tags-am
  579. TAGS: tags
  580. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  581. set x; \
  582. here=`pwd`; \
  583. $(am__define_uniq_tagged_files); \
  584. shift; \
  585. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  586. test -n "$$unique" || unique=$$empty_fix; \
  587. if test $$# -gt 0; then \
  588. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  589. "$$@" $$unique; \
  590. else \
  591. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  592. $$unique; \
  593. fi; \
  594. fi
  595. ctags: ctags-am
  596. CTAGS: ctags
  597. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  598. $(am__define_uniq_tagged_files); \
  599. test -z "$(CTAGS_ARGS)$$unique" \
  600. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  601. $$unique
  602. GTAGS:
  603. here=`$(am__cd) $(top_builddir) && pwd` \
  604. && $(am__cd) $(top_srcdir) \
  605. && gtags -i $(GTAGS_ARGS) "$$here"
  606. cscopelist: cscopelist-am
  607. cscopelist-am: $(am__tagged_files)
  608. list='$(am__tagged_files)'; \
  609. case "$(srcdir)" in \
  610. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  611. *) sdir=$(subdir)/$(srcdir) ;; \
  612. esac; \
  613. for i in $$list; do \
  614. if test -f "$$i"; then \
  615. echo "$(subdir)/$$i"; \
  616. else \
  617. echo "$$sdir/$$i"; \
  618. fi; \
  619. done >> $(top_builddir)/cscope.files
  620. distclean-tags:
  621. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  622. # Recover from deleted '.trs' file; this should ensure that
  623. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  624. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  625. # to avoid problems with "make -n".
  626. .log.trs:
  627. rm -f $< $@
  628. $(MAKE) $(AM_MAKEFLAGS) $<
  629. # Leading 'am--fnord' is there to ensure the list of targets does not
  630. # expand to empty, as could happen e.g. with make check TESTS=''.
  631. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  632. am--force-recheck:
  633. @:
  634. $(TEST_SUITE_LOG): $(TEST_LOGS)
  635. @$(am__set_TESTS_bases); \
  636. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  637. redo_bases=`for i in $$bases; do \
  638. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  639. done`; \
  640. if test -n "$$redo_bases"; then \
  641. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  642. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  643. if $(am__make_dryrun); then :; else \
  644. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  645. fi; \
  646. fi; \
  647. if test -n "$$am__remaking_logs"; then \
  648. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  649. "recursion detected" >&2; \
  650. else \
  651. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  652. fi; \
  653. if $(am__make_dryrun); then :; else \
  654. st=0; \
  655. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  656. for i in $$redo_bases; do \
  657. test -f $$i.trs && test -r $$i.trs \
  658. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  659. test -f $$i.log && test -r $$i.log \
  660. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  661. done; \
  662. test $$st -eq 0 || exit 1; \
  663. fi
  664. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  665. ws='[ ]'; \
  666. results=`for b in $$bases; do echo $$b.trs; done`; \
  667. test -n "$$results" || results=/dev/null; \
  668. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  669. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  670. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  671. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  672. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  673. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  674. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  675. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  676. success=true; \
  677. else \
  678. success=false; \
  679. fi; \
  680. br='==================='; br=$$br$$br$$br$$br; \
  681. result_count () \
  682. { \
  683. if test x"$$1" = x"--maybe-color"; then \
  684. maybe_colorize=yes; \
  685. elif test x"$$1" = x"--no-color"; then \
  686. maybe_colorize=no; \
  687. else \
  688. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  689. fi; \
  690. shift; \
  691. desc=$$1 count=$$2; \
  692. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  693. color_start=$$3 color_end=$$std; \
  694. else \
  695. color_start= color_end=; \
  696. fi; \
  697. echo "$${color_start}# $$desc $$count$${color_end}"; \
  698. }; \
  699. create_testsuite_report () \
  700. { \
  701. result_count $$1 "TOTAL:" $$all "$$brg"; \
  702. result_count $$1 "PASS: " $$pass "$$grn"; \
  703. result_count $$1 "SKIP: " $$skip "$$blu"; \
  704. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  705. result_count $$1 "FAIL: " $$fail "$$red"; \
  706. result_count $$1 "XPASS:" $$xpass "$$red"; \
  707. result_count $$1 "ERROR:" $$error "$$mgn"; \
  708. }; \
  709. { \
  710. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  711. $(am__rst_title); \
  712. create_testsuite_report --no-color; \
  713. echo; \
  714. echo ".. contents:: :depth: 2"; \
  715. echo; \
  716. for b in $$bases; do echo $$b; done \
  717. | $(am__create_global_log); \
  718. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  719. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  720. if $$success; then \
  721. col="$$grn"; \
  722. else \
  723. col="$$red"; \
  724. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  725. fi; \
  726. echo "$${col}$$br$${std}"; \
  727. echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
  728. echo "$${col}$$br$${std}"; \
  729. create_testsuite_report --maybe-color; \
  730. echo "$$col$$br$$std"; \
  731. if $$success; then :; else \
  732. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  733. if test -n "$(PACKAGE_BUGREPORT)"; then \
  734. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  735. fi; \
  736. echo "$$col$$br$$std"; \
  737. fi; \
  738. $$success || exit 1
  739. check-TESTS:
  740. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  741. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  742. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  743. @set +e; $(am__set_TESTS_bases); \
  744. log_list=`for i in $$bases; do echo $$i.log; done`; \
  745. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  746. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  747. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  748. exit $$?;
  749. recheck: all $(check_PROGRAMS)
  750. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  751. @set +e; $(am__set_TESTS_bases); \
  752. bases=`for i in $$bases; do echo $$i; done \
  753. | $(am__list_recheck_tests)` || exit 1; \
  754. log_list=`for i in $$bases; do echo $$i.log; done`; \
  755. log_list=`echo $$log_list`; \
  756. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  757. am__force_recheck=am--force-recheck \
  758. TEST_LOGS="$$log_list"; \
  759. exit $$?
  760. check_stack.log: check_stack$(EXEEXT)
  761. @p='check_stack$(EXEEXT)'; \
  762. b='check_stack'; \
  763. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  764. --log-file $$b.log --trs-file $$b.trs \
  765. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  766. "$$tst" $(AM_TESTS_FD_REDIRECT)
  767. .test.log:
  768. @p='$<'; \
  769. $(am__set_b); \
  770. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  771. --log-file $$b.log --trs-file $$b.trs \
  772. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  773. "$$tst" $(AM_TESTS_FD_REDIRECT)
  774. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  775. @am__EXEEXT_TRUE@ @p='$<'; \
  776. @am__EXEEXT_TRUE@ $(am__set_b); \
  777. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  778. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  779. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  780. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  781. distdir: $(DISTFILES)
  782. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  783. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  784. list='$(DISTFILES)'; \
  785. dist_files=`for file in $$list; do echo $$file; done | \
  786. sed -e "s|^$$srcdirstrip/||;t" \
  787. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  788. case $$dist_files in \
  789. */*) $(MKDIR_P) `echo "$$dist_files" | \
  790. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  791. sort -u` ;; \
  792. esac; \
  793. for file in $$dist_files; do \
  794. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  795. if test -d $$d/$$file; then \
  796. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  797. if test -d "$(distdir)/$$file"; then \
  798. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  799. fi; \
  800. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  801. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  802. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  803. fi; \
  804. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  805. else \
  806. test -f "$(distdir)/$$file" \
  807. || cp -p $$d/$$file "$(distdir)/$$file" \
  808. || exit 1; \
  809. fi; \
  810. done
  811. check-am: all-am
  812. $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
  813. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  814. check: check-am
  815. all-am: Makefile
  816. installdirs:
  817. install: install-am
  818. install-exec: install-exec-am
  819. install-data: install-data-am
  820. uninstall: uninstall-am
  821. install-am: all-am
  822. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  823. installcheck: installcheck-am
  824. install-strip:
  825. if test -z '$(STRIP)'; then \
  826. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  827. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  828. install; \
  829. else \
  830. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  831. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  832. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  833. fi
  834. mostlyclean-generic:
  835. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  836. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  837. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  838. clean-generic:
  839. distclean-generic:
  840. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  841. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  842. maintainer-clean-generic:
  843. @echo "This command is intended for maintainers to use"
  844. @echo "it deletes files that may require special tools to rebuild."
  845. clean: clean-am
  846. clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
  847. mostlyclean-am
  848. distclean: distclean-am
  849. -rm -rf ./$(DEPDIR)
  850. -rm -f Makefile
  851. distclean-am: clean-am distclean-compile distclean-generic \
  852. distclean-tags
  853. dvi: dvi-am
  854. dvi-am:
  855. html: html-am
  856. html-am:
  857. info: info-am
  858. info-am:
  859. install-data-am:
  860. install-dvi: install-dvi-am
  861. install-dvi-am:
  862. install-exec-am:
  863. install-html: install-html-am
  864. install-html-am:
  865. install-info: install-info-am
  866. install-info-am:
  867. install-man:
  868. install-pdf: install-pdf-am
  869. install-pdf-am:
  870. install-ps: install-ps-am
  871. install-ps-am:
  872. installcheck-am:
  873. maintainer-clean: maintainer-clean-am
  874. -rm -rf ./$(DEPDIR)
  875. -rm -f Makefile
  876. maintainer-clean-am: distclean-am maintainer-clean-generic
  877. mostlyclean: mostlyclean-am
  878. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  879. mostlyclean-libtool
  880. pdf: pdf-am
  881. pdf-am:
  882. ps: ps-am
  883. ps-am:
  884. uninstall-am:
  885. .MAKE: check-am install-am install-strip
  886. .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
  887. clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
  888. ctags ctags-am distclean distclean-compile distclean-generic \
  889. distclean-libtool distclean-tags distdir dvi dvi-am html \
  890. html-am info info-am install install-am install-data \
  891. install-data-am install-dvi install-dvi-am install-exec \
  892. install-exec-am install-html install-html-am install-info \
  893. install-info-am install-man install-pdf install-pdf-am \
  894. install-ps install-ps-am install-strip installcheck \
  895. installcheck-am installdirs maintainer-clean \
  896. maintainer-clean-generic mostlyclean mostlyclean-compile \
  897. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  898. recheck tags tags-am uninstall uninstall-am
  899. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  900. # Otherwise a system limit (for SysV at least) may be exceeded.
  901. .NOEXPORT: